Approve the consent request raised by HIU from PHR/mobile application
Approve a consent request, specifying their preferred data access parameters.
By invoking this API, the user grants permission for the Health Information User (HIU) to access their health data under the defined conditions. This approval process is essential for ensuring that patient data is shared securely and in accordance with the user’s preferences, supporting a transparent and compliant health information exchange. The API facilitates the establishment of trust and adherence to privacy regulations, enabling ethical and efficient access to health information. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a The consent request id Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended The user token the PHR service issued when the patient logged in. Types of health information document. Identifier and name of the health information provider. The service ID of the health information provider. Allows alpha numeric character and special characters like[A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$ The name of the health information provider. Allows alpha numeric and special characters like "^[a-zA-Z]+[A-Za-z0-9_\\-@,().\\s\\xa0:/]+" The type of the health information provider. Allows alpha numeric and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" List of care contexts linked at the HIP end for the identified patient. A patient identifier with which patient is registered in the facility/hospital. Allows alpha numeric character and special characters like ^[a-zA-Z0-9_\\-@,. \":/]{0,255}$ An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data). Allows alpha numeric character and special characters like ^[a-zA-Z0-9_\\-@,().\"/:| ]{0,255}$ Should be UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$" Should be UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$" One of The frequency unit value. Should be be a integer.Allows alpha numeric character and special characters like ^[a-zA-Z0-9_\\-@,. \":/]{0,255}$ Should be be a integer One of The date at which the consent expire. Should be UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$" Unauthorized 900901 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Not Found The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Path parameters
consentRequestIdstringRequiredHeaders
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-AUTH-TOKENstringRequiredBody
consentsobject[]Requiredconsents.hiTypesstring[]Requiredconsents.hipobjectRequiredconsents.hip.idstringRequiredconsents.hip.namestringRequiredconsents.hip.typestringconsents.careContextsobject[]Requiredconsents.careContexts.patientReferencestringRequiredconsents.careContexts.careContextReferencestringRequiredconsents.permissionobjectRequiredconsents.permission.dateRangeobjectRequiredconsents.permission.dateRange.fromstringRequiredconsents.permission.dateRange.tostringRequiredconsents.permission.frequencyobjectRequiredconsents.permission.frequency.unitstringRequiredHOURDAYWEEKMONTHYEARconsents.permission.frequency.valuenumberRequiredconsents.permission.frequency.repeatsnumberRequiredconsents.permission.accessModestringRequiredVIEWSTORESTREAMQUERYconsents.permission.dataEraseAtstringRequiredResponses
401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired